Loading...
Searching...
No Matches
ojph::local::param_dfs Struct Reference

`#include <ojph_params_local.h>`

## Public Types

enum | dfs_dwt_type : ui8 { NO_DWT = 0 , BIDIR_DWT = 1 , HORZ_DWT = 2 , VERT_DWT = 3 }

## Public Member Functions

| param_dfs ()
| ~param_dfs ()
void | restart ()
bool | read (infile_base *file)
bool | exists () const
const param_dfs * | get_dfs (int index) const
dfs_dwt_type | get_dwt_type (ui32 decomp_level) const
ui32 | get_subband_idx (ui32 num_decompositions, ui32 resolution, ui32 subband) const
point | get_res_downsamp (ui32 skipped_resolutions) const

## Private Member Functions

void | init ()
void | destroy ()

## Private Attributes

ui16 | Ldfs
ui16 | Sdfs
ui8 | Ids
ui8 | Ddfs [8]
param_dfs * | next
param_dfs * | avail

## Detailed Description

Definition at line 992 of file ojph_params_local.h.

## Member Enumeration Documentation

## dfs_dwt_type

enum ojph::local::param_dfs::dfs_dwt_type : ui8

Enumerator
NO_DWT |
BIDIR_DWT |
HORZ_DWT |
VERT_DWT |

Definition at line 995 of file ojph_params_local.h.

## Constructor & Destructor Documentation

## param_dfs()

ojph::local::param_dfs::param_dfs | ( |  | ) |

inline

Definition at line 1003 of file ojph_params_local.h.

References avail, and init().

Referenced by get_dfs(), read(), and restart().

## ~param_dfs()

ojph::local::param_dfs::~param_dfs | ( |  | ) |

inline

Definition at line 1004 of file ojph_params_local.h.

References destroy().

## Member Function Documentation

## destroy()

void ojph::local::param_dfs::destroy | ( |  | ) |

inline private

Definition at line 1034 of file ojph_params_local.h.

References avail, and next.

Referenced by ~param_dfs().

## exists()

bool ojph::local::param_dfs::exists | ( |  | ) | const

inline

Definition at line 1017 of file ojph_params_local.h.

References Ldfs.

Referenced by ojph::local::param_qcd::get_irrev_delta(), and ojph::local::param_qcd::get_Kmax().

## get_dfs()

const param_dfs * ojph::local::param_dfs::get_dfs | ( | int | index | ) | const

Definition at line 2280 of file ojph_params.cpp.

References next, param_dfs(), and Sdfs.

Referenced by ojph::local::resolution::finalize_alloc(), ojph::local::subband::finalize_alloc(), and ojph::local::resolution::pre_alloc().

## get_dwt_type()

param_dfs::dfs_dwt_type ojph::local::param_dfs::get_dwt_type | ( | ui32 | decomp_level | ) | const

Definition at line 2289 of file ojph_params.cpp.

References Ddfs, Ids, and ojph_min.

Referenced by ojph::local::resolution::finalize_alloc(), get_res_downsamp(), get_subband_idx(), and ojph::local::resolution::pre_alloc().

## get_res_downsamp()

point ojph::local::param_dfs::get_res_downsamp | ( | ui32 | skipped_resolutions | ) | const

Definition at line 2325 of file ojph_params.cpp.

References BIDIR_DWT, get_dwt_type(), HORZ_DWT, VERT_DWT, ojph::point::x, and ojph::point::y.

Referenced by ojph::local::param_siz::get_recon_downsampling().

## get_subband_idx()

ui32 ojph::local::param_dfs::get_subband_idx | ( | ui32 | num_decompositions,
|  | ui32 | resolution,
|  | ui32 | subband ) const

Definition at line 2300 of file ojph_params.cpp.

References get_dwt_type(), and VERT_DWT.

Referenced by ojph::local::param_qcd::get_irrev_delta(), and ojph::local::param_qcd::get_Kmax().

## init()

void ojph::local::param_dfs::init | ( |  | ) |

inline private

Definition at line 1030 of file ojph_params_local.h.

References Ddfs, Ids, Ldfs, next, and Sdfs.

Referenced by param_dfs(), read(), and restart().

## read()

bool ojph::local::param_dfs::read | ( | infile_base * | file | ) |

Definition at line 2346 of file ojph_params.cpp.

References avail, Ddfs, Ids, init(), Ldfs, next, OJPH_ERROR, OJPH_INFO, param_dfs(), ojph::infile_base::read(), read(), Sdfs, and ojph::local::swap_byte().

Referenced by read().

## restart()

void ojph::local::param_dfs::restart | ( |  | ) |

inline

Definition at line 1007 of file ojph_params_local.h.

References avail, init(), next, and param_dfs().

## Member Data Documentation

## avail

param_dfs* ojph::local::param_dfs::avail

private

Definition at line 1053 of file ojph_params_local.h.

Referenced by destroy(), param_dfs(), read(), and restart().

## Ddfs

ui8 ojph::local::param_dfs::Ddfs[8]

private

Definition at line 1048 of file ojph_params_local.h.

Referenced by get_dwt_type(), init(), and read().

## Ids

ui8 ojph::local::param_dfs::Ids

private

Definition at line 1047 of file ojph_params_local.h.

Referenced by get_dwt_type(), init(), and read().

## Ldfs

ui16 ojph::local::param_dfs::Ldfs

private

Definition at line 1045 of file ojph_params_local.h.

Referenced by exists(), init(), and read().

## next

param_dfs* ojph::local::param_dfs::next

private

Definition at line 1050 of file ojph_params_local.h.

Referenced by destroy(), get_dfs(), init(), read(), and restart().

## Sdfs

ui16 ojph::local::param_dfs::Sdfs

private

Definition at line 1046 of file ojph_params_local.h.

Referenced by get_dfs(), init(), and read().

The documentation for this struct was generated from the following files:

- /build/openjph-z1hyMm/openjph-0.28.1/src/core/codestream/ojph_params_local.h
- /build/openjph-z1hyMm/openjph-0.28.1/src/core/codestream/ojph_params.cpp